Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep
Class ASTConstant

    java.lang.Object
      org.nfunk.jep.SimpleNode
          org.nfunk.jep.ASTConstant

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  ASTMConstant

    public class ASTConstant

extends SimpleNode

Constant Node

Field Summary

Fields inherited from class org.nfunk.jep.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTConstant(int id)`
`ASTConstant(Parser p, int id)`

Method Summary
`java.lang.Object` | `getValue()`
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setValue(java.lang.Object val)`
`java.lang.String` | `toString()`

Methods inherited from class org.nfunk.jep.SimpleNode
`childrenAccept, dump, getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTConstant

    public ASTConstant(int id)

### ASTConstant

    public ASTConstant(Parser p,
                       int id)

Method Detail

### setValue

    public void setValue(java.lang.Object val)

### getValue

    public java.lang.Object getValue()

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)
                               throws ParseException

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  Throws:
    `ParseException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems